ELContextImpl (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.el

## Class ELContextImpl

- java.lang.Object
- - javax.el.ELContext
  - - org.apache.jasper.el.ELContextImpl

-     public class ELContextImpl
      extends ELContext

  Implementation of ELContext
  Author:
    Jacob Hookom

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELContextImpl(ELResolver resolver)`
    `ELContextImpl(ExpressionFactory factory)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ELResolver` | `getDefaultResolver(ExpressionFactory factory)`
    `ELResolver` | `getELResolver()`
    `FunctionMapper` | `getFunctionMapper()`
    `VariableMapper` | `getVariableMapper()`
    `void` | `setFunctionMapper(FunctionMapper functionMapper)`
    `void` | `setVariableMapper(VariableMapper variableMapper)`

    - ### Methods inherited from class javax.el.ELContext

      `addEvaluationListener, convertToType, enterLambdaScope, exitLambdaScope, getContext, getEvaluationListeners, getImportHandler, getLambdaArgument, getLocale, isLambdaArgument, isPropertyResolved, notifyAfterEvaluation, notifyBeforeEvaluation, notifyPropertyResolved, putContext, setLocale, setPropertyResolved, setPropertyResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELContextImpl

          public ELContextImpl(ExpressionFactory factory)

    - #### ELContextImpl

          public ELContextImpl(ELResolver resolver)

  - ### Method Detail

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in class `ELContext`

    - #### getFunctionMapper

          public FunctionMapper getFunctionMapper()

      Specified by:
        `getFunctionMapper` in class `ELContext`

    - #### getVariableMapper

          public VariableMapper getVariableMapper()

      Specified by:
        `getVariableMapper` in class `ELContext`

    - #### setFunctionMapper

          public void setFunctionMapper(FunctionMapper functionMapper)

    - #### setVariableMapper

          public void setVariableMapper(VariableMapper variableMapper)

    - #### getDefaultResolver

          public static ELResolver getDefaultResolver(ExpressionFactory factory)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.